import request from "@/utils/request";

// 创建WMS 品质管理-检验项管理
export function createInspectionItem(data) {
  return request({
    url: "/rtkqms/inspection-item/create",
    method: "post",
    data: data,
  });
}

// 更新WMS 品质管理-检验项管理
export function updateInspectionItem(data) {
  return request({
    url: "/rtkqms/inspection-item/update",
    method: "put",
    data: data,
  });
}

// 检验项提交/审核
export function updateInspectionItemAudit(data) {
  return request({
    url: "/rtkqms/inspection-item/updateAuditStatus",
    method: "put",
    data: data,
  });
}

// 删除WMS 品质管理-检验项管理
export function deleteInspectionItem(id) {
  return request({
    url: "/rtkqms/inspection-item/delete?id=" + id,
    method: "delete",
  });
}

// 获得WMS 品质管理-检验项管理
export function getInspectionItem(id) {
  return request({
    url: "/rtkqms/inspection-item/get?id=" + id,
    method: "get",
  });
}

// 获得WMS 品质管理-检验项管理分页
export function getInspectionItemPage(data) {
  return request({
    url: "/rtkqms/inspection-item/page",
    method: "post",
    data: data,
  });
}

// // 导出WMS 品质管理-检验项管理 Excel
// export function exportInspectionItemExcel (query) {
//   return request({
//     url: '/rtkqms/inspection-item/export-excel',
//     method: 'get',
//     params: query,
//     responseType: 'blob'
//   })
// }

// 下载检验项
export function exportInspectionItemExcel1(query) {
  return request({
    url: "/rtkqms/inspection-item/export-excel-1",
    method: "get",
    params: query,
    responseType: "blob",
  });
}
